Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.server.interceptor
Interface MBeanServerInterceptor

All Known Implementing Classes:
  DefaultMBeanServerInterceptor

public interface MBeanServerInterceptor

MBeanServer --> MBean interceptor. These interceptors are used internally to implement MBeanServer functionality prior to call MBeans, and can be used to customize MBeanServer implementation by users.

Version:
  $Revision: 1.6 $

Field Summary
`static int` | `POST_DEREGISTER` Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`
`static int` | `POST_REGISTER_FALSE` Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`
`static int` | `POST_REGISTER_TRUE` Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`
`static int` | `PRE_DEREGISTER` Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`
`static int` | `PRE_REGISTER` Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`

Method Summary
`void` | `addNotificationListener(MBeanMetaData metadata, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)` Adds the given notification listener to the MBean, along with the given filter and handback
`java.lang.Object` | `getAttribute(MBeanMetaData metadata, java.lang.String attribute)` Gets the specified attribute value from the MBean instance.
`javax.management.AttributeList` | `getAttributes(MBeanMetaData metadata, java.lang.String[] attributes)` Gets the specified attributes values from the MBean instance.
`javax.management.MBeanInfo` | `getMBeanInfo(MBeanMetaData metadata)` Calls getMBeanInfo on the MBean instance (only on DynamicMBeans).
`java.lang.String` | `getType()` A concise string that tells the type of this interceptor
`void` | `instantiate(MBeanMetaData metadata, java.lang.String className, java.lang.String[] params, java.lang.Object[] args)` Instantiate the given className passing the given arguments to the constructor with the given signature
`java.lang.Object` | `invoke(MBeanMetaData metadata, java.lang.String method, java.lang.String[] params, java.lang.Object[] args)` Invokes the specified MBean operation on the MBean instance
`void` | `registration(MBeanMetaData metadata, int operation)` Calls the specified `MBeanRegistration` method on the MBean instance.
`void` | `removeNotificationListener(MBeanMetaData metadata, javax.management.NotificationListener listener)` Removes the given notification listener from the MBean.
`void` | `removeNotificationListener(MBeanMetaData metadata, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)` Removes the given notification listener from the MBean, specified by the given filter and handback.
`void` | `setAttribute(MBeanMetaData metadata, javax.management.Attribute attribute)` Sets the specified attribute value on the MBean instance.
`javax.management.AttributeList` | `setAttributes(MBeanMetaData metadata, javax.management.AttributeList attributes)` Sets the specified attributes values on the MBean instance.
`void` | `setChain(java.util.List interceptors)` Sets the chain of interceptors on this interceptor.

Field Detail

### PRE_REGISTER

    public static final int PRE_REGISTER

  Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`

  See Also:
    Constant Field Values

### POST_REGISTER_TRUE

    public static final int POST_REGISTER_TRUE

  Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`

  See Also:
    Constant Field Values

### POST_REGISTER_FALSE

    public static final int POST_REGISTER_FALSE

  Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`

  See Also:
    Constant Field Values

### PRE_DEREGISTER

    public static final int PRE_DEREGISTER

  Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`

  See Also:
    Constant Field Values

### POST_DEREGISTER

    public static final int POST_DEREGISTER

  Constant used to specify the status of the MBean registration in `registration(mx4j.server.MBeanMetaData, int)`

  See Also:
    Constant Field Values

Method Detail

### getType

    public java.lang.String getType()

  A concise string that tells the type of this interceptor

### setChain

    public void setChain(java.util.List interceptors)

  Sets the chain of interceptors on this interceptor. This interceptor will use this list to find the interceptor in the chain after itself

  Parameters:
    `interceptors` - The list of interceptors

### addNotificationListener

    public void addNotificationListener(MBeanMetaData metadata,
                                        javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)

  Adds the given notification listener to the MBean, along with the given filter and handback

### removeNotificationListener

    public void removeNotificationListener(MBeanMetaData metadata,
                                           javax.management.NotificationListener listener)
                                    throws javax.management.ListenerNotFoundException

  Removes the given notification listener from the MBean.

  Throws:
    `javax.management.ListenerNotFoundException`

### removeNotificationListener

    public void removeNotificationListener(MBeanMetaData metadata,
                                           javax.management.NotificationListener listener,
                                           javax.management.NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws javax.management.ListenerNotFoundException

  Removes the given notification listener from the MBean, specified by the given filter and handback.

  Throws:
    `javax.management.ListenerNotFoundException`

### instantiate

    public void instantiate(MBeanMetaData metadata,
                            java.lang.String className,
                            java.lang.String[] params,
                            java.lang.Object[] args)
                     throws javax.management.ReflectionException,
                            javax.management.MBeanException

  Instantiate the given className passing the given arguments to the constructor with the given signature

  Throws:
    `javax.management.ReflectionException`
    `javax.management.MBeanException`

### registration

    public void registration(MBeanMetaData metadata,
                             int operation)
                      throws javax.management.MBeanRegistrationException

  Calls the specified `MBeanRegistration` method on the MBean instance.

  Throws:
    `javax.management.MBeanRegistrationException`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(MBeanMetaData metadata)

  Calls getMBeanInfo on the MBean instance (only on DynamicMBeans).

### invoke

    public java.lang.Object invoke(MBeanMetaData metadata,
                                   java.lang.String method,
                                   java.lang.String[] params,
                                   java.lang.Object[] args)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Invokes the specified MBean operation on the MBean instance

  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getAttributes

    public javax.management.AttributeList getAttributes(MBeanMetaData metadata,
                                                        java.lang.String[] attributes)

  Gets the specified attributes values from the MBean instance.

### setAttributes

    public javax.management.AttributeList setAttributes(MBeanMetaData metadata,
                                                        javax.management.AttributeList attributes)

  Sets the specified attributes values on the MBean instance.

### getAttribute

    public java.lang.Object getAttribute(MBeanMetaData metadata,
                                         java.lang.String attribute)
                                  throws javax.management.MBeanException,
                                         javax.management.AttributeNotFoundException,
                                         javax.management.ReflectionException

  Gets the specified attribute value from the MBean instance.

  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(MBeanMetaData metadata,
                             javax.management.Attribute attribute)
                      throws javax.management.MBeanException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.ReflectionException

  Sets the specified attribute value on the MBean instance.

  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.ReflectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.